# $Revision: 1.21 $, $Date: 2009/05/03 09:07:08 $
%include	/usr/lib/rpm/macros.php
%define		_class		Payment
%define		_subclass	DTA
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - creates DTA files containing money transactions (Germany)
Summary(pl.UTF-8):	%{_pearname} - tworzenie plików DTA zawierających transfery pieniężne (Niemcy)
Name:		php-pear-%{_pearname}
Version:	1.3.0
Release:	1
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d0e6058c738ad89934dd486753c92fbd
URL:		http://pear.php.net/package/Payment_DTA/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear > 4:1.0-9.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_pearname} provides function to create DTA files used in Germany to
exchange information about money transactions with banks or online
banking programs.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
%{_pearname} dostarcza funkcji do tworzenia plików DTA używanych w
Niemczech do wymiany informacji dotyczących transakcji pieniężnych.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
AutoReq:	no
Requires:	%{name} = %{version}-%{release}
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/%{_pearname}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Payment_DTA.spec,v $
Revision 1.21  2009/05/03 09:07:08  adamg
- updated to 1.3.0

Revision 1.20  2008/12/27 00:40:43  adamg
- updated to 1.2.1; tests subpkg

Revision 1.19  2008-01-31 12:17:05  glen
- rel 4

Revision 1.18  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.16  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.15  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.14  2005/10/30 22:50:56  glen
- req php-pear with Payment dir

Revision 1.13  2005/10/05 20:59:19  glen
- rel 2

Revision 1.12  2005/09/29 18:25:22  glen
- new pear packaging

Revision 1.11  2005/02/05 19:43:01  adamg
- updated to 1.2.0

Revision 1.10  2004/12/04 14:09:10  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.8  2004/05/24 18:45:47  adamg
- status changed to stable

Revision 1.7  2004/05/24 17:45:36  adamg
- updated to 1.00

Revision 1.6  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.5  2003/10/07 20:56:16  adamg
- do not use macros in URL

Revision 1.4  2003/10/07 18:55:51  adamg
- updated to 0.8
- I know... 0.8 < 0.71, but I'm not going to bump epoch because of that,
  it's better to wait till 1.0 instead

Revision 1.3  2003/09/01 20:04:13  qboosh
- typo, cosmetics

Revision 1.2  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.1  2003/08/31 10:40:59  adamg
- initial import
